post
https://{jfrog_url}/mc/api/v1/buckets
Creates a new License Bucket. Supports two modes:
JSON mode (Content-Type: application/json): Provide a URL from which Mission Control
will download the encrypted bucket file, along with the decryption key.
Multipart mode (Content-Type: multipart/form-data): Upload the encrypted bucket file
directly from your environment, along with the decryption key.
Both modes return the same response.
Multipart mode example:
curl -X POST 'https://<server>/mc/api/v1/buckets' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: multipart/form-data' \
-F 'file=@/path/to/bucket-file.json;type=application/octet-stream' \
-F 'key=<decryption-key>' \
-F 'name=mybucket'
Security: Requires admin privileges.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Your bucket file could not be used. Please verify that the file is correct and that the key is valid.
401Bad Credentials - Invalid credentials
403Permission Denied - Insufficient permissions
409Conflict. Possible messages:
- "Name '<bucket_name>' already exists"
- "Url '<bucket_url>' already exists"
